#ifndef _Handle_PBRep_TEdge1_HeaderFile
#define _Handle_PBRep_TEdge1_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PTopoDS_TEdge1_HeaderFile
#include <Handle_PTopoDS_TEdge1.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PTopoDS_TEdge1);
class PBRep_TEdge1;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PBRep_TEdge1);

class Handle(PBRep_TEdge1) : public Handle(PTopoDS_TEdge1) {
  public:

    Handle(PBRep_TEdge1)():Handle(PTopoDS_TEdge1)() {} 
    Handle(PBRep_TEdge1)(const Handle(PBRep_TEdge1)& aHandle) : Handle(PTopoDS_TEdge1)(aHandle) 
     {
     }

    Handle(PBRep_TEdge1)(const PBRep_TEdge1* anItem) : Handle(PTopoDS_TEdge1)((PTopoDS_TEdge1 *)anItem) 
     {
     }

    Handle(PBRep_TEdge1)& operator=(const Handle(PBRep_TEdge1)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PBRep_TEdge1)& operator=(const PBRep_TEdge1* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PBRep_TEdge1* operator->() const 
     {
      return (PBRep_TEdge1 *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PBRep_TEdge1) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
